/**
 * @since 1.0.0
 */
import { LambdaClient } from "@aws-sdk/client-lambda";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { LambdaClientInstanceConfig } from "./LambdaClientInstanceConfig";
declare const LambdaClientInstance_base: Context.TagClass<LambdaClientInstance, "@effect-aws/client-lambda/LambdaClientInstance", LambdaClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class LambdaClientInstance extends LambdaClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeLambdaClientInstance: Effect.Effect<LambdaClient, never, LambdaClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const LambdaClientInstanceLayer: Layer.Layer<LambdaClientInstance, never, LambdaClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultLambdaClientInstanceLayer: Layer.Layer<LambdaClientInstance, never, never>;
export {};
