/**
 * @since 1.0.0
 */
import { AddLayerVersionPermissionCommandInput, AddLayerVersionPermissionCommandOutput, AddPermissionCommandInput, AddPermissionCommandOutput, CreateAliasCommandInput, CreateAliasCommandOutput, CreateCodeSigningConfigCommandInput, CreateCodeSigningConfigCommandOutput, CreateEventSourceMappingCommandInput, CreateEventSourceMappingCommandOutput, CreateFunctionCommandInput, CreateFunctionCommandOutput, CreateFunctionUrlConfigCommandInput, CreateFunctionUrlConfigCommandOutput, DeleteAliasCommandInput, DeleteAliasCommandOutput, DeleteCodeSigningConfigCommandInput, DeleteCodeSigningConfigCommandOutput, DeleteEventSourceMappingCommandInput, DeleteEventSourceMappingCommandOutput, DeleteFunctionCodeSigningConfigCommandInput, DeleteFunctionCodeSigningConfigCommandOutput, DeleteFunctionCommandInput, DeleteFunctionCommandOutput, DeleteFunctionConcurrencyCommandInput, DeleteFunctionConcurrencyCommandOutput, DeleteFunctionEventInvokeConfigCommandInput, DeleteFunctionEventInvokeConfigCommandOutput, DeleteFunctionUrlConfigCommandInput, DeleteFunctionUrlConfigCommandOutput, DeleteLayerVersionCommandInput, DeleteLayerVersionCommandOutput, DeleteProvisionedConcurrencyConfigCommandInput, DeleteProvisionedConcurrencyConfigCommandOutput, GetAccountSettingsCommandInput, GetAccountSettingsCommandOutput, GetAliasCommandInput, GetAliasCommandOutput, GetCodeSigningConfigCommandInput, GetCodeSigningConfigCommandOutput, GetEventSourceMappingCommandInput, GetEventSourceMappingCommandOutput, GetFunctionCodeSigningConfigCommandInput, GetFunctionCodeSigningConfigCommandOutput, GetFunctionCommandInput, GetFunctionCommandOutput, GetFunctionConcurrencyCommandInput, GetFunctionConcurrencyCommandOutput, GetFunctionConfigurationCommandInput, GetFunctionConfigurationCommandOutput, GetFunctionEventInvokeConfigCommandInput, GetFunctionEventInvokeConfigCommandOutput, GetFunctionUrlConfigCommandInput, GetFunctionUrlConfigCommandOutput, GetLayerVersionByArnCommandInput, GetLayerVersionByArnCommandOutput, GetLayerVersionCommandInput, GetLayerVersionCommandOutput, GetLayerVersionPolicyCommandInput, GetLayerVersionPolicyCommandOutput, GetPolicyCommandInput, GetPolicyCommandOutput, GetProvisionedConcurrencyConfigCommandInput, GetProvisionedConcurrencyConfigCommandOutput, GetRuntimeManagementConfigCommandInput, GetRuntimeManagementConfigCommandOutput, InvokeAsyncCommandInput, InvokeAsyncCommandOutput, InvokeCommandInput, InvokeCommandOutput, InvokeWithResponseStreamCommandInput, InvokeWithResponseStreamCommandOutput, ListAliasesCommandInput, ListAliasesCommandOutput, ListCodeSigningConfigsCommandInput, ListCodeSigningConfigsCommandOutput, ListEventSourceMappingsCommandInput, ListEventSourceMappingsCommandOutput, ListFunctionEventInvokeConfigsCommandInput, ListFunctionEventInvokeConfigsCommandOutput, ListFunctionUrlConfigsCommandInput, ListFunctionUrlConfigsCommandOutput, ListFunctionsByCodeSigningConfigCommandInput, ListFunctionsByCodeSigningConfigCommandOutput, ListFunctionsCommandInput, ListFunctionsCommandOutput, ListLayerVersionsCommandInput, ListLayerVersionsCommandOutput, ListLayersCommandInput, ListLayersCommandOutput, ListProvisionedConcurrencyConfigsCommandInput, ListProvisionedConcurrencyConfigsCommandOutput, ListTagsCommandInput, ListTagsCommandOutput, ListVersionsByFunctionCommandInput, ListVersionsByFunctionCommandOutput, PublishLayerVersionCommandInput, PublishLayerVersionCommandOutput, PublishVersionCommandInput, PublishVersionCommandOutput, PutFunctionCodeSigningConfigCommandInput, PutFunctionCodeSigningConfigCommandOutput, PutFunctionConcurrencyCommandInput, PutFunctionConcurrencyCommandOutput, PutFunctionEventInvokeConfigCommandInput, PutFunctionEventInvokeConfigCommandOutput, PutProvisionedConcurrencyConfigCommandInput, PutProvisionedConcurrencyConfigCommandOutput, PutRuntimeManagementConfigCommandInput, PutRuntimeManagementConfigCommandOutput, RemoveLayerVersionPermissionCommandInput, RemoveLayerVersionPermissionCommandOutput, RemovePermissionCommandInput, RemovePermissionCommandOutput, TagResourceCommandInput, TagResourceCommandOutput, UntagResourceCommandInput, UntagResourceCommandOutput, UpdateAliasCommandInput, UpdateAliasCommandOutput, UpdateCodeSigningConfigCommandInput, UpdateCodeSigningConfigCommandOutput, UpdateEventSourceMappingCommandInput, UpdateEventSourceMappingCommandOutput, UpdateFunctionCodeCommandInput, UpdateFunctionCodeCommandOutput, UpdateFunctionConfigurationCommandInput, UpdateFunctionConfigurationCommandOutput, UpdateFunctionEventInvokeConfigCommandInput, UpdateFunctionEventInvokeConfigCommandOutput, UpdateFunctionUrlConfigCommandInput, UpdateFunctionUrlConfigCommandOutput } from "@aws-sdk/client-lambda";
import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { Cause, Context, Effect, Layer } from "effect";
import { LambdaClientInstance } from "./LambdaClientInstance";
/**
 * @since 1.0.0
 * @category models
 */
export interface LambdaService {
    readonly _: unique symbol;
    /**
     * @see {@link AddLayerVersionPermissionCommand}
     */
    addLayerVersionPermission(args: AddLayerVersionPermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<AddLayerVersionPermissionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link AddPermissionCommand}
     */
    addPermission(args: AddPermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<AddPermissionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link CreateAliasCommand}
     */
    createAlias(args: CreateAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateAliasCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link CreateCodeSigningConfigCommand}
     */
    createCodeSigningConfig(args: CreateCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link CreateEventSourceMappingCommand}
     */
    createEventSourceMapping(args: CreateEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateEventSourceMappingCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link CreateFunctionCommand}
     */
    createFunction(args: CreateFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateFunctionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link CreateFunctionUrlConfigCommand}
     */
    createFunctionUrlConfig(args: CreateFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<CreateFunctionUrlConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteAliasCommand}
     */
    deleteAlias(args: DeleteAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteAliasCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteCodeSigningConfigCommand}
     */
    deleteCodeSigningConfig(args: DeleteCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteEventSourceMappingCommand}
     */
    deleteEventSourceMapping(args: DeleteEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteEventSourceMappingCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteFunctionCommand}
     */
    deleteFunction(args: DeleteFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteFunctionCodeSigningConfigCommand}
     */
    deleteFunctionCodeSigningConfig(args: DeleteFunctionCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteFunctionConcurrencyCommand}
     */
    deleteFunctionConcurrency(args: DeleteFunctionConcurrencyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionConcurrencyCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteFunctionEventInvokeConfigCommand}
     */
    deleteFunctionEventInvokeConfig(args: DeleteFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionEventInvokeConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteFunctionUrlConfigCommand}
     */
    deleteFunctionUrlConfig(args: DeleteFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteFunctionUrlConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteLayerVersionCommand}
     */
    deleteLayerVersion(args: DeleteLayerVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteLayerVersionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link DeleteProvisionedConcurrencyConfigCommand}
     */
    deleteProvisionedConcurrencyConfig(args: DeleteProvisionedConcurrencyConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<DeleteProvisionedConcurrencyConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetAccountSettingsCommand}
     */
    getAccountSettings(args: GetAccountSettingsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetAccountSettingsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetAliasCommand}
     */
    getAlias(args: GetAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetAliasCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetCodeSigningConfigCommand}
     */
    getCodeSigningConfig(args: GetCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetEventSourceMappingCommand}
     */
    getEventSourceMapping(args: GetEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetEventSourceMappingCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetFunctionCommand}
     */
    getFunction(args: GetFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetFunctionCodeSigningConfigCommand}
     */
    getFunctionCodeSigningConfig(args: GetFunctionCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetFunctionConcurrencyCommand}
     */
    getFunctionConcurrency(args: GetFunctionConcurrencyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionConcurrencyCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetFunctionConfigurationCommand}
     */
    getFunctionConfiguration(args: GetFunctionConfigurationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionConfigurationCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetFunctionEventInvokeConfigCommand}
     */
    getFunctionEventInvokeConfig(args: GetFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionEventInvokeConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetFunctionUrlConfigCommand}
     */
    getFunctionUrlConfig(args: GetFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetFunctionUrlConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetLayerVersionCommand}
     */
    getLayerVersion(args: GetLayerVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetLayerVersionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetLayerVersionByArnCommand}
     */
    getLayerVersionByArn(args: GetLayerVersionByArnCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetLayerVersionByArnCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetLayerVersionPolicyCommand}
     */
    getLayerVersionPolicy(args: GetLayerVersionPolicyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetLayerVersionPolicyCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetPolicyCommand}
     */
    getPolicy(args: GetPolicyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetPolicyCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetProvisionedConcurrencyConfigCommand}
     */
    getProvisionedConcurrencyConfig(args: GetProvisionedConcurrencyConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetProvisionedConcurrencyConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link GetRuntimeManagementConfigCommand}
     */
    getRuntimeManagementConfig(args: GetRuntimeManagementConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<GetRuntimeManagementConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link InvokeCommand}
     */
    invoke(args: InvokeCommandInput, options?: __HttpHandlerOptions): Effect.Effect<InvokeCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link InvokeAsyncCommand}
     */
    invokeAsync(args: InvokeAsyncCommandInput, options?: __HttpHandlerOptions): Effect.Effect<InvokeAsyncCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link InvokeWithResponseStreamCommand}
     */
    invokeWithResponseStream(args: InvokeWithResponseStreamCommandInput, options?: __HttpHandlerOptions): Effect.Effect<InvokeWithResponseStreamCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListAliasesCommand}
     */
    listAliases(args: ListAliasesCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListAliasesCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListCodeSigningConfigsCommand}
     */
    listCodeSigningConfigs(args: ListCodeSigningConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListCodeSigningConfigsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListEventSourceMappingsCommand}
     */
    listEventSourceMappings(args: ListEventSourceMappingsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListEventSourceMappingsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListFunctionEventInvokeConfigsCommand}
     */
    listFunctionEventInvokeConfigs(args: ListFunctionEventInvokeConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionEventInvokeConfigsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListFunctionsCommand}
     */
    listFunctions(args: ListFunctionsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListFunctionsByCodeSigningConfigCommand}
     */
    listFunctionsByCodeSigningConfig(args: ListFunctionsByCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionsByCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListFunctionUrlConfigsCommand}
     */
    listFunctionUrlConfigs(args: ListFunctionUrlConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListFunctionUrlConfigsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListLayersCommand}
     */
    listLayers(args: ListLayersCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListLayersCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListLayerVersionsCommand}
     */
    listLayerVersions(args: ListLayerVersionsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListLayerVersionsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListProvisionedConcurrencyConfigsCommand}
     */
    listProvisionedConcurrencyConfigs(args: ListProvisionedConcurrencyConfigsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListProvisionedConcurrencyConfigsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListTagsCommand}
     */
    listTags(args: ListTagsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListTagsCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link ListVersionsByFunctionCommand}
     */
    listVersionsByFunction(args: ListVersionsByFunctionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<ListVersionsByFunctionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PublishLayerVersionCommand}
     */
    publishLayerVersion(args: PublishLayerVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PublishLayerVersionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PublishVersionCommand}
     */
    publishVersion(args: PublishVersionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PublishVersionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PutFunctionCodeSigningConfigCommand}
     */
    putFunctionCodeSigningConfig(args: PutFunctionCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutFunctionCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PutFunctionConcurrencyCommand}
     */
    putFunctionConcurrency(args: PutFunctionConcurrencyCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutFunctionConcurrencyCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PutFunctionEventInvokeConfigCommand}
     */
    putFunctionEventInvokeConfig(args: PutFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutFunctionEventInvokeConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PutProvisionedConcurrencyConfigCommand}
     */
    putProvisionedConcurrencyConfig(args: PutProvisionedConcurrencyConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutProvisionedConcurrencyConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link PutRuntimeManagementConfigCommand}
     */
    putRuntimeManagementConfig(args: PutRuntimeManagementConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<PutRuntimeManagementConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link RemoveLayerVersionPermissionCommand}
     */
    removeLayerVersionPermission(args: RemoveLayerVersionPermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<RemoveLayerVersionPermissionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link RemovePermissionCommand}
     */
    removePermission(args: RemovePermissionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<RemovePermissionCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link TagResourceCommand}
     */
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<TagResourceCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UntagResourceCommand}
     */
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UntagResourceCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateAliasCommand}
     */
    updateAlias(args: UpdateAliasCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateAliasCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateCodeSigningConfigCommand}
     */
    updateCodeSigningConfig(args: UpdateCodeSigningConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateCodeSigningConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateEventSourceMappingCommand}
     */
    updateEventSourceMapping(args: UpdateEventSourceMappingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateEventSourceMappingCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateFunctionCodeCommand}
     */
    updateFunctionCode(args: UpdateFunctionCodeCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionCodeCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateFunctionConfigurationCommand}
     */
    updateFunctionConfiguration(args: UpdateFunctionConfigurationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionConfigurationCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateFunctionEventInvokeConfigCommand}
     */
    updateFunctionEventInvokeConfig(args: UpdateFunctionEventInvokeConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionEventInvokeConfigCommandOutput, Cause.UnknownException>;
    /**
     * @see {@link UpdateFunctionUrlConfigCommand}
     */
    updateFunctionUrlConfig(args: UpdateFunctionUrlConfigCommandInput, options?: __HttpHandlerOptions): Effect.Effect<UpdateFunctionUrlConfigCommandOutput, Cause.UnknownException>;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const LambdaService: Context.Tag<LambdaService, LambdaService>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeLambdaService: Effect.Effect<LambdaService, never, LambdaClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const BaseLambdaServiceLayer: Layer.Layer<LambdaService, never, LambdaClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const LambdaServiceLayer: Layer.Layer<LambdaService, never, import("./LambdaClientInstanceConfig").LambdaClientInstanceConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultLambdaServiceLayer: Layer.Layer<LambdaService, never, never>;
/**
 * @since 0.1.0
 * @deprecated
 */
export declare const BaseLambdaServiceEffect: Effect.Effect<LambdaService, never, LambdaClientInstance>;
/**
 * @since 0.1.0
 * @deprecated
 */
export declare const LambdaServiceEffect: Effect.Effect<LambdaService, never, import("./LambdaClientInstanceConfig").LambdaClientInstanceConfig>;
/**
 * @since 0.1.0
 * @deprecated
 */
export declare const DefaultLambdaServiceEffect: Effect.Effect<LambdaService, never, never>;
